namespace CMSMicroservice.Application.TransactionsCQ.Commands.DeleteTransactions;
public class DeleteTransactionsCommandValidator : AbstractValidator<DeleteTransactionsCommand>
{
    public DeleteTransactionsCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<DeleteTransactionsCommand>.CreateWithOptions((DeleteTransactionsCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
